<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: thf_utils.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e58901c8ee9d69c5bc9ee3298e74c570.html">thermofluid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">thf_utils.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacethf__utils"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html">thf_utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a614b90832e5c67283b59a0aa0bfcae11"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#a614b90832e5c67283b59a0aa0bfcae11">thf_utils::thf_calc_vol_avg</a> (sd, var_field)</td></tr>
<tr class="memdesc:a614b90832e5c67283b59a0aa0bfcae11"><td class="mdescLeft">&#160;</td><td class="mdescRight">compute volume average of input field !  <a href="namespacethf__utils.html#a614b90832e5c67283b59a0aa0bfcae11">More...</a><br /></td></tr>
<tr class="separator:a614b90832e5c67283b59a0aa0bfcae11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a579138f4a9b595a7a7cb7aa2e4a58c6f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#a579138f4a9b595a7a7cb7aa2e4a58c6f">thf_utils::thf_calc_var_avg_from_user_mask</a> (vdf, var_r3, mask_r3, VOL_AVG, var_r3_avg)</td></tr>
<tr class="memdesc:a579138f4a9b595a7a7cb7aa2e4a58c6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">compute mass/volume average of r3 over regions with the same input mask value !  <a href="namespacethf__utils.html#a579138f4a9b595a7a7cb7aa2e4a58c6f">More...</a><br /></td></tr>
<tr class="separator:a579138f4a9b595a7a7cb7aa2e4a58c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f0b64f619493ce4f1cb54c62a508147"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#a0f0b64f619493ce4f1cb54c62a508147">thf_utils::thf_util_debug_allout</a> (vdf, fileNameFixString, strangString)</td></tr>
<tr class="separator:a0f0b64f619493ce4f1cb54c62a508147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20768bdad9ccd1255d4004dfa64a457f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__utils_8f90.html#a20768bdad9ccd1255d4004dfa64a457f">thf_util_debug_allout_prev</a> (vdf, filename)</td></tr>
<tr class="separator:a20768bdad9ccd1255d4004dfa64a457f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aa15c84d166438979f43608036de9b2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__utils_8f90.html#a6aa15c84d166438979f43608036de9b2">thf_util_debug_all_r3_out</a> (vdf, filename)</td></tr>
<tr class="separator:a6aa15c84d166438979f43608036de9b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf175caf0238dd05b341c7edb2def790"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#acf175caf0238dd05b341c7edb2def790">thf_utils::thf_get_buffers_cp_wmix</a> (vdf, is_CPbuf, is_WMIXbuf)</td></tr>
<tr class="memdesc:acf175caf0238dd05b341c7edb2def790"><td class="mdescLeft">&#160;</td><td class="mdescRight">temporarily get buffers for CP &amp; WMIX, if not registered by flow solver  <a href="namespacethf__utils.html#acf175caf0238dd05b341c7edb2def790">More...</a><br /></td></tr>
<tr class="separator:acf175caf0238dd05b341c7edb2def790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad102b671c5143af1e8d3940f4d38316d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#ad102b671c5143af1e8d3940f4d38316d">thf_utils::thf_return_buffers_cp_wmix</a> (vdf, is_CPbuf, is_WMIXbuf)</td></tr>
<tr class="memdesc:ad102b671c5143af1e8d3940f4d38316d"><td class="mdescLeft">&#160;</td><td class="mdescRight">temporarily return buffers for CP &amp; WMIX, if not registered by flow solver  <a href="namespacethf__utils.html#ad102b671c5143af1e8d3940f4d38316d">More...</a><br /></td></tr>
<tr class="separator:ad102b671c5143af1e8d3940f4d38316d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48b8b637977301e4d9fa6b224d67e1a2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#a48b8b637977301e4d9fa6b224d67e1a2">thf_utils::thf_set_diff_all_scalars</a> (vdf, first_scalar, DIFFmol_in)</td></tr>
<tr class="memdesc:a48b8b637977301e4d9fa6b224d67e1a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">do something  <a href="namespacethf__utils.html#a48b8b637977301e4d9fa6b224d67e1a2">More...</a><br /></td></tr>
<tr class="separator:a48b8b637977301e4d9fa6b224d67e1a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a234a8b9be33191a19e432907c6335490"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#a234a8b9be33191a19e432907c6335490">thf_utils::thf_check_mechanism_file</a> (thf)</td></tr>
<tr class="memdesc:a234a8b9be33191a19e432907c6335490"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if mechanism file is deprecated  <a href="namespacethf__utils.html#a234a8b9be33191a19e432907c6335490">More...</a><br /></td></tr>
<tr class="separator:a234a8b9be33191a19e432907c6335490"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0db004feb382fc1e279ecd9adcbfc77"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__utils.html#af0db004feb382fc1e279ecd9adcbfc77">thf_utils::thf_something</a> (vdf)</td></tr>
<tr class="memdesc:af0db004feb382fc1e279ecd9adcbfc77"><td class="mdescLeft">&#160;</td><td class="mdescRight">do something  <a href="namespacethf__utils.html#af0db004feb382fc1e279ecd9adcbfc77">More...</a><br /></td></tr>
<tr class="separator:af0db004feb382fc1e279ecd9adcbfc77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a6aa15c84d166438979f43608036de9b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6aa15c84d166438979f43608036de9b2">&#9670;&nbsp;</a></span>thf_util_debug_all_r3_out()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_util_debug_allout::thf_util_debug_all_r3_out </td>
          <td>(</td>
          <td class="paramtype">type(vdf_), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20768bdad9ccd1255d4004dfa64a457f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20768bdad9ccd1255d4004dfa64a457f">&#9670;&nbsp;</a></span>thf_util_debug_allout_prev()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_util_debug_allout::thf_util_debug_allout_prev </td>
          <td>(</td>
          <td class="paramtype">type(vdf_), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851">scalar_defs::get_scalar()</a>, <a class="el" href="namespacethermofluid__defs.html#a910bc2bf6d90d1ada9d8ede070ba74ec">thermofluid_defs::type_fpva_chem</a>, <a class="el" href="namespacethermofluid__defs.html#a164f0ac7bbe493772e24bcace0215040">thermofluid_defs::type_frate_chem</a>, <a class="el" href="namespacethermofluid__defs.html#a8e54738e6efed4e90c2ace171d1c951f">thermofluid_defs::type_multicomp_chem</a>, <a class="el" href="namespacethermofluid__defs.html#aa45a74322aa9cd62b21e205a1bf59e35">thermofluid_defs::type_multregime_chem</a>, <a class="el" href="namespacethermofluid__defs.html#a164f1abf9cc0f919c8c6e3768e3ad4d6">thermofluid_defs::type_premix_chem</a>, <a class="el" href="namespacethermofluid__defs.html#af9d3217769137630f706cab96ff8f168">thermofluid_defs::type_prif_chem</a>, <a class="el" href="namespacethermofluid__defs.html#a839d9552419a1f2e40629a2395f88065">thermofluid_defs::type_rfpva_chem</a>, and <a class="el" href="namespacethermofluid__defs.html#ace26f2623471f766613c276009222516">thermofluid_defs::type_rif_chem</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__utils_8f90_a20768bdad9ccd1255d4004dfa64a457f_cgraph.png" border="0" usemap="#thf__utils_8f90_a20768bdad9ccd1255d4004dfa64a457f_cgraph" alt=""/></div>
<map name="thf__utils_8f90_a20768bdad9ccd1255d4004dfa64a457f_cgraph" id="thf__utils_8f90_a20768bdad9ccd1255d4004dfa64a457f_cgraph">
<area shape="rect" id="node2" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="227,5,384,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
